## org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges
Class ASAColumnPrivilegesDetailPage

    java.lang.Object
      org.eclipse.ui.forms.AbstractFormPart
          org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailPage
              org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.tableeditor.pages.privileges.ASAColumnPrivilegesDetailPage

All Implemented Interfaces:
  org.eclipse.ui.forms.IDetailsPage, org.eclipse.ui.forms.IFormPart, org.eclipse.ui.forms.IPartSelectionListener

    public class ASAColumnPrivilegesDetailPage

extends PrivilegesDetailPage

Column privileges detail page for ASA table schema editor

Author:
  Idull

Constructor Summary
`ASAColumnPrivilegesDetailPage(org.eclipse.ui.forms.widgets.FormToolkit toolkit, ISchemaObjectEditModel model, SQLObject sqlObj, PrivilegesDetailTableMetaData meta, PrivilegesTreeViewerInput input, IPrivilegeStateLookup stateProvider)`

Method Summary
`void` `modify(AuthorizationIdentifier authid, SQLObject sqlObj, java.lang.String action, Privilege p, java.lang.String selectString, org.eclipse.jface.viewers.CellEditor currentEditor, java.lang.Object value)` Modify the model based on the user's selection

Methods inherited from class org.eclipse.datatools.enablement.sybase.asa.schemaobjecteditor.examples.commonui.privilege.PrivilegesDetailPage
`createContents, dispose, getInput, getOriginalSqlObj, getTableTreeViewer, refresh, reInit, selectionChanged, setSqlObj`

Methods inherited from class org.eclipse.ui.forms.AbstractFormPart
`commit, getManagedForm, initialize, isDirty, isStale, markDirty, markStale, setFocus, setFormInput`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.ui.forms.IFormPart
`commit, initialize, isDirty, isStale, setFocus, setFormInput`

Constructor Detail

### ASAColumnPrivilegesDetailPage

    public ASAColumnPrivilegesDetailPage(org.eclipse.ui.forms.widgets.FormToolkit toolkit,
                                         ISchemaObjectEditModel model,
                                         SQLObject sqlObj,
                                         PrivilegesDetailTableMetaData meta,
                                         PrivilegesTreeViewerInput input,
                                         IPrivilegeStateLookup stateProvider)

Method Detail

### modify

    public void modify(AuthorizationIdentifier authid,
                       SQLObject sqlObj,
                       java.lang.String action,
                       Privilege p,
                       java.lang.String selectString,
                       org.eclipse.jface.viewers.CellEditor currentEditor,
                       java.lang.Object value)

  Description copied from class: `PrivilegesDetailPage`
  Modify the model based on the user's selection

  Specified by:
    `modify` in class `PrivilegesDetailPage`
  Parameters:
    `authid` - the authorization identifier
    `sqlObj` - the SQL object
    `action` - the action
    `p` - the privilge which is edited
    `selectString` - the user's selection